Page MenuHomePhabricator

consider deleting old Whonix 10`ish /etc/init.d scripts during upgrade to Whonix 11
Closed, ResolvedPublic

Description

  • foremost to avoid conflicts with systemd
  • also to remove cruft and confusion
  • move /etc/init.d/sdwdate etc. to some backup location (in order to prevent hate from users who customized them)
  • maybe update-rc.d sdwdate remove || true
  • and for all other init scripts that have been ported to systemd (T106)

Details

Impact
High

Event Timeline

Patrick created this task.May 16 2015, 5:06 AM
Patrick raised the priority of this task from to Normal.
Patrick updated the task description. (Show Details)
Patrick set Impact to High.
Patrick added subscribers: Patrick, nrgaway, HulaHoop.
Patrick changed the task status from Open to Review.May 23 2015, 6:40 PM

Probably better not. Not required. Non-standard. Conflicts are unlikely, because name of package = name of sysvinit script = name of systemd unit file.

Patrick closed this task as Resolved.Jun 15 2015, 6:58 AM
Patrick claimed this task.

Not required. T342 functional.